#!/bin/bash

INFO_FILE="/usr/syno/etc/packages/Moodle/moodle.conf"
CONF_FILE="/var/services/web/moodle/config.php"
INST_FILE="/var/services/web/moodle/install.php"
MOODLE_INFO="/var/packages/Moodle/INFO"
PHP_INI="/usr/local/etc/php56/conf.d/SYNO.SDS.Moodle.ini"
RESOURCE_OWN="/var/packages/Moodle/conf/resource.own"

RECORD_SHARE=$(get_key_value "$INFO_FILE" "folder_name")
RECORD_SHARE_PATH=$(get_key_value "$INFO_FILE" "x_dataroot_x")

case $1 in
	--sdk-mod-ver)
		echo 2.0;
		;;
	--name)
		/bin/get_key_value "$MOODLE_INFO" "package"
		;;
	--pkg-ver)
		/bin/get_key_value "$MOODLE_INFO" "version"
		;;
	--vendor)
		/bin/get_key_value "$MOODLE_INFO" "maintainer"
		;;
	--pre)
		;;
	--post)
		if [ "$ORIGIN_SHARE_NAME" = "$RECORD_SHARE" ]; then
			sed -i "s|foldername=.*|foldername=$SHARE_NAME|g" "$INFO_FILE"
			sed -i "s|\"target\":\"$ORIGIN_SHARE_NAME\"|\"target\":\"$SHARE_NAME\"|g" "$RESOURCE_OWN"
		fi

		if [ "$ORIGIN_SHARE_PATH" = "$RECORD_SHARE_PATH" ]; then
			sed -i "s|x_dataroot_x=.*|x_dataroot_x=$SHARE_PATH|g" "$INFO_FILE"
			sed -i "s|PATH=$ORIGIN_SHARE_PATH|PATH=$SHARE_PATH|g" "$PHP_INI"
			sed -i "s|\CFG->dataroot.*|CFG->dataroot  = '$SHARE_PATH';|g" "$CONF_FILE"
			if [ -s "$INST_FILE" ]; then
				sed -i "s|\$CFG->dataroot = '$ORIGIN_SHARE_PATH'|\$CFG->dataroot = '$SHARE_PATH'|g" "$INST_FILE"
			fi
		fi

		IS_WIN_SHARE=$(synoshare --get "$SHARE_NAME" | grep WinShare | cut -d[ -f2 | cut -d] -f1)
		if [ "$IS_WIN_SHARE" != "yes" ]; then
			PRIVATE_INFO="$SHARE_NAME:user:http:allow:rwxpdDaARWc--:fd--"
			PRIVATE_CONF="/usr/syno/etc/private/moodle_share.conf"
			if ! grep -q "$PRIVATE_INFO" "$PRIVATE_CONF"; then
				echo "$PRIVATE_INFO" >> "$PRIVATE_CONF"
			fi
		fi
		;;
esac
